OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.TimerQuery

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTTimerQuery :: MonadIO m => m Bool
- gl_EXT_timer_query :: Bool
- gl_TIME_ELAPSED_EXT :: GLenum
- glGetQueryObjecti64vEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLint64 -> m ()
- glGetQueryObjectui64vEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLuint64 -> m ()

# Extension Support

glGetEXTTimerQuery :: MonadIO m => m Bool

Is the EXT_timer_query extension supported?

gl_EXT_timer_query :: Bool

Is the EXT_timer_query extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTTimerQuery` in those cases instead.

# Enums

gl_TIME_ELAPSED_EXT :: GLenum

# Functions

glGetQueryObjecti64vEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname`.
-> Ptr GLint64 | `params` pointing to `COMPSIZE(pname)` elements of type `GLint64`.
-> m () |

This command is an alias for `glGetQueryObjecti64v`.

glGetQueryObjectui64vEXT

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname`.
-> Ptr GLuint64 | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint64`.
-> m () |

This command is an alias for `glGetQueryObjectui64v`.